# Water Closet
**Water Closet** is platform game where the objective is to escape down a toilet at the end of each stage.

![Alt text](dev/screenshots/11.png?raw=true "Screenshot of Stage 34")

## Awards
### itch.io's Linux Game Jam 2019:
* 1st place in Overall Fun Factor
* 1st place in Completeness of Experience

## Compiling
This game requires SDL 2.0 (along with SDL Mixer, SDL Image, and SDL TTF). Compile by running make and then ./waterCloset to run the game.

## Controls
* [A] - Move left
* [D] - Move right
* [I] - Jump
* [J] - Interact
* [Space] - Create clone and reset
* [Backspace] - Restart stage

## Save data
Save game data is stored in ~/.local/share/waterCloset.

## Extended config
Some options won't be found in the main game UI, but can be accessed and tweaked the game's ~/.local/share/config.json file.

* deadzone: Specifies deadzone of the joystick. This can be used to control the sensitivity of the joystick. Increase the value if you experience drift or jitter. Takes a value between 0 and 127.

## Licenses
### Source code
Source code (src and tools) is license under GPL 3.0

### Graphics and data
Graphics (gfx) and data (data) are licensed under Creative Commons BY-NC-SA 3.0, with the following attribution: Copyright 2019, Parallel Realities | www.parallelrealities.co.uk.

<img src="gfx/by-nc-sa.png?raw=true" alt="CC BY-NC-SA logo" width="125">

### Music
* Meadow Thoughts.ogg, by Écrivain (CC-0): https://opengameart.org/content/meadow-thoughts
* puzzle-1-a.mp3, by rezoner (CC-BY): https://opengameart.org/content/puzzle-tune-1
* puzzle-1-b.mp3, by rezoner (CC-BY): https://opengameart.org/content/puzzle-tune-1
* contemplation.ogg, by bart (CC-BY): https://opengameart.org/content/contemplation

### Sound effects
* 108413__kyle1katarn__toilet.ogg, by Kyle1Katarn (CC-BY): https://freesound.org/people/Kyle1Katarn/sounds/108413/
* 135936__bradwesson__collectcoin.ogg, by bradwesson (CC-0): https://freesound.org/people/bradwesson/sounds/135936/
* 264446__kickhat__open-button-1.ogg, by kickhat (CC-0): https://freesound.org/people/kickhat/sounds/264446/
* 331381__qubodup__public-domain-jump-sound.ogg, by qubodup (CC-0): https://freesound.org/people/qubodup/sounds/331381/
* 426770__cmilan__drawer-close.ogg, by cMilan (CC-0): https://freesound.org/people/cMilan/sounds/426770/
* 429167__aropson__heavy-clang-1.ogg, by aropson (CC-BY): https://freesound.org/people/aropson/sounds/429167/
* 434479__dersuperanton__splatter.ogg, by dersuperanton (CC-BY): https://freesound.org/people/dersuperanton/sounds/434479/
* 446115__justinvoke__wet-splat.ogg, by JustInvoke (CC-BY): https://freesound.org/people/JustInvoke/sounds/446115/
* 449069__ricniclas__fanfare.ogg, by ricniclas (CC-0): https://freesound.org/people/ricniclas/sounds/449069/
* 245242__noirenex__beepping.ogg, by noirenex (CC-0): https://freesound.org/people/noirenex/sounds/245242/
* 258047__jagadamba__water-spraying-from-a-bottle-02.mp3, by Jagadamba (CC-BY): https://freesound.org/people/Jagadamba/sounds/258047/
* 110043__sandyrb__fart-005.ogg, by sandyrb (CC-BY): https://freesound.org/people/sandyrb/sounds/110043/
* 110051__sandyrb__fart-013.ogg, by sandyrb (CC-BY): https://freesound.org/people/sandyrb/sounds/110051/
* clock.ogg - Created with https://bfxr.net (CC-0)
* clone.ogg - Created with https://bfxr.net (CC-0)
* death.ogg - Created with https://bfxr.net (CC-0)
* expired.ogg - Created with https://bfxr.net (CC-0)
* fail.ogg - Created with https://bfxr.net (CC-0)
* item.ogg - Created with https://bfxr.net (CC-0)
* mortice_key_drop_on_concrete_floor.ogg - Copyright www.freesfx.co.uk - www.freesfx.co.uk
* negative.ogg - Created with https://bfxr.net (CC-0)
* nudge.ogg - Created with https://bfxr.net (CC-0)
* plunger.ogg - Created with https://bfxr.net (CC-0)
* teleport.ogg - Created with https://bfxr.net (CC-0)
* wipe.ogg - Created with https://bfxr.net (CC-0)
* tip.ogg - Created with https://bfxr.net (CC-0)

### Font
* EnterCommand.ttf, by jeti - https://www.dafont.com/enter-command.font (CC-BY 4.0)

### About
This game was made by Parallel Realities. You can find out more at https://www.parallelrealities.co.uk
